| Home · All Classes · All Namespaces · Modules · Functions · Files

# RichPresenceAccessControl Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- uint type
- QDBusVariant detail

## Detailed Description

Structure type generated from the specification.

An access control mode for extended presence items like geolocation. This type isn't actually used by the SimplePresence interface, but it's included here so it can be referenced by rich presence interfaces such as Location.

## Member Data Documentation

uint type

The type of access control to apply.

QDBusVariant detail

Any additional information required by the Type. The required type and semantics are defined for each Rich_Presence_Access_Control_Type.